from ..types.ChatAdministratorRights import ChatAdministratorRights
from .BaseMethod import BaseMethod

class setMyDefaultAdministratorRights(BaseMethod):
    '''
    Use this method to change the default administrator rights requested by the bot when it's added as an administrator to groups or channels. These rights will be suggested to users, but they are free to modify the list before adding the bot. Returns True on success.
    :param rights: A JSON-serialized object describing new default administrator rights. If not specified, the default administrator rights will be cleared.
    :type rights: ChatAdministratorRights
    :param for_channels: Pass True to change the default administrator rights of the bot in channels. Otherwise, the default administrator rights of the bot for groups and supergroups will be changed.
    :type for_channels: bool = False
    :return: {tdesc}

    '''

    async def __call__(self,
    rights: ChatAdministratorRights | None = None,
    for_channels: bool = False,
    ) -> bool:
        '''
        :param rights: A JSON-serialized object describing new default administrator rights. If not specified, the default administrator rights will be cleared.
        :type rights: ChatAdministratorRights
        :param for_channels: Pass True to change the default administrator rights of the bot in channels. Otherwise, the default administrator rights of the bot for groups and supergroups will be changed.
        :type for_channels: bool = False
        '''
        return await self.request(
            rights=rights,
            for_channels=for_channels,
        )
