from ..base_type import base_type
from typing import Optional

@base_type
class Invoice:
    '''
    This object contains basic information about an invoice.
    '''

    total_amount: int
    '''
    Total price in the smallest units of the currency (integer, not float/double). For example, for a price of US$ 1.45 pass amount = 145. See the exp parameter in currencies.json, it shows the number of digits past the decimal point for each currency (2 for the majority of currencies).
    '''

    currency: str
    '''
    Three-letter ISO 4217 currency code, or "XTR" for payments in Telegram Stars
    '''

    start_parameter: str
    '''
    Unique bot deep-linking parameter that can be used to generate this invoice
    '''

    description: str
    '''
    Product description
    '''

    title: str
    '''
    Product name
    '''

